<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetVersionNo Method (IEdmLabel5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmLabel5 Interface : GetVersionNo Method (IEdmLabel5)

Visual Basic
C#
C++/CLI

lFileID
  ID of file for which to get the version

Gets the version of the specified file on which this label is set.

# Syntax

Visual Basic |
--- | ---

    Function GetVersionNo( _
       ByVal lFileID As System.Integer _
    ) As System.Integer

C# |
--- | ---

    System.int GetVersionNo(
       System.int lFileID
    )

C++/CLI |
--- | ---

    System.int GetVersionNo(
    &   System.int lFileID
    )

#### Parameters

lFileID
  ID of file for which to get the version

#### Return Value

Version number

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_INVALIDARG: The label is not set on the specified file.

# See Also

####

IEdmLabel5 Interface
IEdmLabel5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2